string[] br = Console.ReadLine().Split();
int N = Convert.ToInt32(br[0]);
int L = Convert.ToInt32(br[1]);
int i, H;
int brojac = -1;
string[] br2 = Console.ReadLine().Split();
bool a = true;

for (i = 0; i < N; i++)
{
    H = Convert.ToInt32(br2[i]);
    if (H <= L && a == true)
    {
        brojac = i;
        a = false;
    }
}
if (a == false)Console.WriteLine(brojac + 1);
else Console.WriteLine(brojac);